#
#   Python GUI - Alerts - Macintosh
#

from GAlerts import Alert as GAlert, \
    Alert2 as GAlert2, Alert3 as GAlert3


class Alert(GAlert):

    #_mac_icon_id = 0

    def layout_buttons(self):
        self.place(self.yes_button, right = self.label.right, top = self.label + 10)
        self.height = self.yes_button.bottom + 20


class Alert2(GAlert2):

    #_mac_icon_id = 2

    def layout_buttons(self):
        self.place_row([self.no_button, self.yes_button],
            right = self.label.right, top = self.label + 10)
        self.height = self.yes_button.bottom + 20


class Alert3(GAlert3):

    #_mac_icon_id = 2

    def layout_buttons(self):
        self.place_row([self.other_button, self.yes_button],
            right = -24, top = self.label + 10)
        self.place(self.no_button, left = self.icon.left, top = self.label + 10)
        self.height = self.yes_button.bottom + 20

